Subject: bug#23171: 25.0.92; Key binding conventions for all modifiers

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2020 18:07:19 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 26 Jan 2020 15:36:08 +0100
> Cc: Stefan Kangas <[email-masked]>, [email-masked]
> 
> > FWIW, I don't see any need for any further specifications.  The manual
> > says what keys to reserve; all those which aren't mentioned, including
> > with modifiers, aren't reserved.
> 
> What does it mean for a key sequence to be unreserved? Anybody can use
> it for any purpose?

Yes, AFAIU.

> If so, how do we prevent clashes between these unreserved sequences?

We don't.  It's up to the authors of the various packages to make
sure they don't step on keybindings of any other packages, except if
those other packages can never be used with this package.  What else
can we do?